/* base button */

button {
  background: var(--color-light-gray);
  color: var(--color-dark);
  font-weight: bold;
  padding: 1em 2em;
  border: none;
  border-radius: 100vh;
}

/* button classes */

button.icon,
button.icon-button {
  background: transparent;
  border: none;
  margin: 0;
  padding: .5em;
  text-align: center;
  line-height: 50%;
  box-shadow: none;
}

button.primary {
  text-transform: uppercase;
  background: var(--color-primary);
  color: white;
}

/* states */

button:not(:disabled) {
  cursor: pointer;
}

button:not(:disabled):hover {
  filter: brightness(.95);
  background-size: 140%;
}
